libxkbcommon 1.11.0 Library implementing the XKB specification for parsing keyboard descriptions and handling keyboard state

Loading...
Searching...
No Matches
Macros
Virtual modifiers names
Predefined names for common modifiers and LEDs
Collaboration diagram for Virtual modifiers names:

## Macros
#define | XKB_VMOD_NAME_ALT "Alt"
#define | XKB_VMOD_NAME_HYPER "Hyper"
#define | XKB_VMOD_NAME_LEVEL3 "LevelThree"
#define | XKB_VMOD_NAME_LEVEL5 "LevelFive"
#define | XKB_VMOD_NAME_META "Meta"
#define | XKB_VMOD_NAME_NUM "NumLock"
#define | XKB_VMOD_NAME_SCROLL "ScrollLock"
#define | XKB_VMOD_NAME_SUPER "Super"

## Detailed Description

Common virtual modifiers, encoded in xkeyboard-config in the compat and symbols files.

They have been stable since the beginning of the project and are unlikely to ever change.

## Macro Definition Documentation

## ◆ XKB_VMOD_NAME_ALT

#define XKB_VMOD_NAME_ALT "Alt"

Since
  1.8.0

## ◆ XKB_VMOD_NAME_HYPER

#define XKB_VMOD_NAME_HYPER "Hyper"

Since
  1.8.0

## ◆ XKB_VMOD_NAME_LEVEL3

#define XKB_VMOD_NAME_LEVEL3 "LevelThree"

Since
  1.8.0

## ◆ XKB_VMOD_NAME_LEVEL5

#define XKB_VMOD_NAME_LEVEL5 "LevelFive"

Since
  1.8.0

## ◆ XKB_VMOD_NAME_META

#define XKB_VMOD_NAME_META "Meta"

Since
  1.8.0

## ◆ XKB_VMOD_NAME_NUM

#define XKB_VMOD_NAME_NUM "NumLock"

Since
  1.8.0

## ◆ XKB_VMOD_NAME_SCROLL

#define XKB_VMOD_NAME_SCROLL "ScrollLock"

Since
  1.8.0

## ◆ XKB_VMOD_NAME_SUPER

#define XKB_VMOD_NAME_SUPER "Super"

Since
  1.8.0